#
# spec file for package ib-bonding (Version 0.9.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           ib-bonding
Url:            http://www.openfabrics.org
Summary:        infiniband bonding tool
Version:        0.9.0
Release:        29.1
Source0:        %{name}-%{version}.tar.bz2
Source1:        README
Source2:        conf.sysconfig
Group:          System/Console
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms module-init-tools
PreReq:         %fillup_prereq
%suse_kernel_module_package um xen xenpae

%description
This package provides a bonding tool which is capable of enslaving IP
over InfiniBand (IPoIB) network devices.



%debug_package
%package 	KMP
License:        GPL v2 only
Summary:        infiniband bonding modules
Group:          System/Kernel

%description KMP
This package provides bonding kernel modules which are capable of
enslaving IP over InfiniBand (IPoIB) network devices.



%prep
%setup -q
set -- *
mkdir source
mv "$@" source/
mkdir obj
cp %{S:1} %{S:2} .
cd source/linux
rm -rf drivers/net/bonding
cp -a /usr/src/linux/drivers/net/bonding drivers/net/bonding
for i in `cat ../patches/fixes/series` ; do
patch -p1 < ../patches/fixes/$i
done

%build
%define kver %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -ar source obj/$flavor
    pushd obj/$flavor/linux
    ./configure --kernel-version %kver-$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
      M=$PWD/drivers/net/bonding
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates/drivers/net/bonding
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/linux/drivers/net/bonding
done
# install the ib-bond script
install -d ${RPM_BUILD_ROOT}%_bindir/
sed 's/VERSION=/VERSION=%{version}/g; s/RELEASE=/RELEASE=%{release}/g' source/bin/ib-bond > ${RPM_BUILD_ROOT}%_bindir/ib-bond
chmod 755  ${RPM_BUILD_ROOT}%_bindir/ib-bond
# install the sysconfig configuration
install -m 700 -D conf.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.infiniband-%name

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_only -an infiniband}

%files
%defattr(-, root, root)
%doc source/docs/ib-bonding.txt README
%_bindir/ib-bond
/var/adm/fillup-templates/sysconfig.infiniband-%name

%changelog
* Thu Aug 09 2007 - ro@suse.de
- build using source from kernel and patches/fixes on top
* Mon Jul 23 2007 - hvogel@suse.de
- Fix sysconfig filename
* Thu Jul 12 2007 - hvogel@suse.de
- move the kernel modules to the right directory
* Thu Jul 12 2007 - hvogel@suse.de
- Add GPL v2 LICENSE files [#291345]
* Thu Jul 12 2007 - hvogel@suse.de
- Put configuration into the infiniband sysconfig file
* Wed Jul 11 2007 - hvogel@suse.de
- Initial Package, Version 0.9.0
